%global namedreltag .Final-redhat-1
%global namedversion %{version}%{?namedreltag}

%define artifact_name remoting-jmx

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define section free
%define reltag Final-redhat-1
%define brewreltag Final_redhat_1

%define maven_version 1.0.3.Final-redhat-1

Name: jboss-remoting3-jmx
Version: 1.0.3
Release: 1.%{brewreltag}%{?dist}
Summary: Making JMX accessible using Remoting 3
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.remotingjmx-remoting-jmx-1.0.3.Final-redhat-1-sources.zip
Source102: remoting-jmx-1.0.3.Final-redhat-1-javadoc.jar
Source103: remoting-jmx-1.0.3.Final-redhat-1.jar
Source104: remoting-jmx-1.0.3.Final-redhat-1.pom
Source105: remoting-jmx-1.0.3.Final-redhat-1-sources.jar
%endif

License: LGPL 2.1
URL:     https://github.com/jbossas/remoting-jmx.git
Epoch:   0

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/jbossas/remoting-jmx.git
# cd remoting-jmx && git checkout 1.0.3.Final && cd ..
# tar cjf jboss-remoting3-jmx-1.0.3.Final-src.tar.bz2 remoting-jmx
Source0: 	%{name}-%{version}.Final-src.tar.bz2
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot
%if %without mead
BuildRequires:  jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
%endif

Requires:  jboss-logmanager
Requires:  jboss-logging
#Requires:  jboss-logging-tools
Requires:  jboss-marshalling
Requires:  jboss-remoting3
Requires:  jboss-sasl
Requires:  jboss-xnio-base

%description
A project to provide the integration required to expose JMX over Remoting 3 connections.

%if %without mead
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
mvn-rpmbuild install javadoc:aggregate
%endif

%install
# JARS
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do
cp -p $i $RPM_BUILD_ROOT%{_javadir}/`echo $i|sed -s "s/-%{namedversion}//"`
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do 
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/`echo $i|sed -s "s/-%{namedversion}//"`
done
popd
%endif

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *.jar; do ln -sf ${jar} %{artifact_name}-%{namedversion}.jar; ln -sf ${jar} %{name}-%{namedversion}.jar; ln -sf ${jar} %{name}.jar; done)

%if %without mead
# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{artifact_name}-%{artifact_name}
    %add_to_maven_depmap org.jboss.remotingjmx %{artifact_name} %{namedversion} JPP %{artifact_name}
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do 
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{artifact_name}-%{artifact_name}
    %add_to_maven_depmap org.jboss.remotingjmx %{artifact_name} %{namedversion} JPP %{artifact_name}
done
popd
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%{_javadir}*/*ar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.3
- Upgrade to new wrapper
- Remove R: jboss-logging-tools
- Fix GID

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.2
- Fix symlink name

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-1.Final.1
- First build
